package n9m

import "github.com/tidwall/gjson"

type PayloadJson struct {
	Module     string
	Key        string
	Operation  string
	Parameters map[string]interface{}
	Response   map[string]interface{}
}

type Package struct {
	Version     uint64
	Encription  uint64
	Mark        uint64
	CC          uint64
	PayloadType uint64
	SSRC        uint64
	Reserved    uint64
	CSRC        [16]uint64

	PayloadLen uint64
	GPayload   gjson.Result
	Payload    map[string]interface{}
	RawPayload []byte

	Raw   []byte
	Accum []byte

	Json PayloadJson
}
